#!/bin/sh
if [ -z "$APKG_PKG_DIR" ]; then
   APKG_PKG_DIR=/usr/local/AppCentral/FileFlex
fi

case "$APKG_PKG_STATUS" in

	install)
		# post install script here
		mv $APKG_PKG_DIR/fileflex-config.in $APKG_PKG_DIR/.fileflex-config
		;;
	upgrade)

        #	Restore any saved files
        if [ -e /tmp/FileFlex/.fileflex-config ]; then
            mv /tmp/FileFlex/.fileflex-config $APKG_PKG_DIR/.fileflex-config
            rmdir /tmp/FileFlex
            rm $APKG_PKG_DIR/fileflex-config.in
        else
        mv $APKG_PKG_DIR/fileflex-config.in $APKG_PKG_DIR/.fileflex-config
        fi
		;;
	*)
		;;

esac

exit 0
